Skip to content
POST/{organizationId}/{mandateId}/crm/proofs/request

Request proofs from contacts and mark the proof as requested

Request proofs

Required permissions:

  • mandate.read

  • proof.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

searchTermstringoptional
typeIdstringoptional
contactIdstringoptional
statusstringoptional

Options:

requestedconfirmedrequireddueoverdueexpired

A stringified json object representing a property filter

proofIdstringoptional
sendRequestMailbooleanoptional

Default: true

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/proofs/request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/proofs/request' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "searchTerm": "string",
  "typeId": "string",
  "contactId": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countnumberrequired

Response

200
{
  "count": 1
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}